%define upstream_name    CPAN-Uploader
%define upstream_version 0.103004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Upload things to the CPAN
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long::Descriptive) >= 0.84.0
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(HTTP::Status)
BuildRequires: perl(LWP::Protocol::https) >= 1.0.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Term::ReadKey)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

# they both provides a binary called cpan-upload
Conflicts: cpan-uploader
%description
This code is mostly derived from cpan-upload-http by Brad Fitzpatrick,
which in turn was based on cpan-upload by Neil Bowers. I (rjbs) didn't
want to have to use a system call to run either of those, so I
refactored the code into this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/cpan-upload

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.103.4-2.mga4
+ Revision: 526322
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.103.4-1.mga4
+ Revision: 436612
- update to 0.103004

* Sun Jan 13 2013 umeabot <umeabot> 0.103.2-2.mga3
+ Revision: 363684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.103.2-1.mga3
+ Revision: 341920
- update to 0.103002

* Tue Jun 05 2012 jquelin <jquelin> 0.103.1-1.mga3
+ Revision: 254580
- update to 0.103001

* Wed Jul 27 2011 misc <misc> 0.103.0-2.mga2
+ Revision: 129936
- fix file conflicts

* Mon Apr 11 2011 jquelin <jquelin> 0.103.0-1.mga1
+ Revision: 83350
- update to 0.103000

* Sun Jan 23 2011 jquelin <jquelin> 0.102.150-1.mga1
+ Revision: 33606
- mageia rebuild
- imported package perl-CPAN-Uploader

